%def activer_auth(%%interface, %%squid_auth_eth, %%nom_machine_eth, %%vlan_eth, %%alias_eth)
 %if (%%activer_squid_auth == 'oui' and %%squid_auth_eth == 'non') or (%%activer_squid_auth == 'non')
http_access allow %%nom_machine_eth
  %if %%vlan_eth == "oui"
    %for %%vlans_iter in %%getVar('vlan_id_eth' + %%interface)
http_access allow vlan_eth%%{interface}_%%{vlans_iter}
    %end for
  %end if
  %if %%alias_eth == "oui"
    %for %%idx, %%val in %%enumerate(%%getVar('alias_ip_eth'+%%interface))
http_access allow eth%%{interface}alias%%idx
    %end for
  %end if
 %end if
%end def

## pas d'authentification pour les interfaces
%if %%nombre_interfaces == '1'
%%activer_auth('0', 'oui', %%nom_machine, %%vlan_eth0, %%alias_eth0)
%end if

%if %%nombre_interfaces >= "2"
 %if not %%is_defined('squid_auth_eth1')
  %set %%squid_auth_eth1 = 'non'
 %end if
%%activer_auth('1', %%squid_auth_eth1, %%nom_machine_eth1, %%vlan_eth1, %%alias_eth1)
%end if

%if %%nombre_interfaces >= "3"
 %if not %%is_defined('squid_auth_eth2')
  %set %%squid_auth_eth2 = 'non'
 %end if
%%activer_auth('2', %%squid_auth_eth2, %%nom_machine_eth2, %%vlan_eth2, %%alias_eth2)
%end if

%if %%nombre_interfaces >= "4"
 %if not %%is_defined('squid_auth_eth3')
  %set %%squid_auth_eth3 = 'non'
 %end if
%%activer_auth('3', %%squid_auth_eth3, %%nom_machine_eth3, %%vlan_eth3, %%alias_eth3)
%end if

%if %%nombre_interfaces == "5"
 %if not %%is_defined('squid_auth_eth4')
  %set %%squid_auth_eth4 = 'non'
 %end if
%%activer_auth('4', %%squid_auth_eth4, %%nom_machine_eth4, %%vlan_eth4, %%alias_eth4)
%end if

## authentification
%if %%activer_squid_auth == 'oui'
http_access allow password
%end if
